Subject: Re: [bug-diffutils] bug#67541: diff -r reporting two fifos as somehow different

From: Paul Eggert <[email-masked]>
Date: Wed, 29 Nov 2023 20:32:36 -0800

On 11/29/23 18:56, kevin dankwardt wrote:
> Reproduce:
> 
> $ mkdir /tmp/a.dir
> 
> $ mkdir /tmp/b.dir
> 
> $ mkfifo /tmp/a.dir/afifo
> 
> $ mkfifo /tmp/b.dir/afifo
> 
> $ diff -r /tmp/a.dir /tmp/b.dir
> 
> *File /tmp/a.dir/afifo is a fifo while file /tmp/b.dir/afifo is a fifo*

I'm not sure I see this as a bug, as they are different fifos. If they 
were opened and read they'd likely have different contents, though it 
wouldn't be a good idea for diff -r to open fifos.

Perhaps the diagnostic message could be improved, though I'm not sure 
what the improved wording would be.